/* Page transition: default opacity change */
@view-transition {
    navigation: auto;
}

/* Page transition: custom */
/* @keyframes slide-in-from-right {
    from {
        translate: 100vw 0;
    }
}
@keyframes slide-out-to-left {
    to {
        translate: -100vw 0;
    }
}

::view-transition-old(root) {
    animation: 0.5s ease-in both slide-out-to-left;
}
::view-transition-new(root) {
    animation: 0.5s ease-out both slide-in-from-right;
}

html:active-view-transition-type(backwards) ::view-transition-old(root) {
    animation-name: slide-in-from-right;
} */

/* Toggle app ui */
body .d-block-app {
    display: none;
}

body .d-block-web {
    display: block;
}

body.app-webview .d-block-app {
    display: block;
}

body.app-webview .d-block-web {
    display: none;
}

/* Theme toggling */
body,
body[data-theme="light"] {
    .d-block-light {
        display: block;
    }

    .d-block-dark {
        display: none;
    }
}

body[data-theme="dark"] {
    .d-block-light {
        display: none;
    }

    .d-block-dark {
        display: block;
    }
}

/* Toggle mobile/desktop */
.d-block-mobile {
    display: block;

    @media (min-width: 992px) {
        display: none;
    }
}

.d-block-desktop {
    display: none;

    @media (min-width: 992px) {
        display: block;
    }
}

.d-flex-mobile {
    display: flex;

    @media (min-width: 992px) {
        display: none;
    }
}

.d-flex-desktop {
    display: none;

    @media (min-width: 992px) {
        display: flex;
    }
}

.d-block-sm-mobile {
    display: block;

    @media (min-width: 770px) {
        display: none;
    }
}

.d-block-sm-desktop {
    display: none;

    @media (min-width: 770px) {
        display: block;
    }
}

.d-flex-sm-mobile {
    display: flex;

    @media (min-width: 770px) {
        display: none;
    }
}

.d-flex-sm-desktop {
    display: none;

    @media (min-width: 770px) {
        display: flex;
    }
}

/* Lang select */
.lks-lang-select .dropdown-toggle {
    color: var(--header-link);
    text-decoration: none;
    font-size: 14px;
    line-height: 20px;
    text-decoration: none;
}

.lks-lang-select .dropdown-toggle:hover,
.lks-lang-select .dropdown-toggle:active {
    text-decoration: none;
}

.lks-lang-select .dropdown-menu {
    border: none;
    border-radius: var(--lang-menu-border-radius);
    margin: 0;
    padding: 0;
    background-color: var(--lang-menu-bg);
    overflow: hidden;
    min-width: auto;
}

.lks-lang-select .dropdown-menu li {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
}

.lks-lang-select .dropdown-menu li a {
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    color: var(--lang-menu-color);
    text-decoration: none !important;
    padding: 0 8px;
    margin: 0;
    width: 100%;
    height: 40px;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    transition: none !important;
}

.lks-lang-select .dropdown-menu li img {
    width: 24px;
    height: 24px;
    max-height: 24px;
    object-fit: cover;
    overflow: hidden;
    margin: 0 8px 0 0;
    border: 1px solid var(--lang-menu-border);
    border-radius: 50%;
}

.lks-lang-select .dropdown-menu li.active,
.lks-lang-select .dropdown-menu li:hover {
    color: var(--lang-menu-color-selected);
    background-color: var(--lang-menu-bg-selected);
}

.lks-lang-select .dropdown-menu li.active a,
.lks-lang-select .dropdown-menu li a:hover {
    color: var(--lang-menu-color-selected);
    background-color: var(--lang-menu-bg-selected);
}

/* Buttons */
.btn {
    outline: none !important;
}

.sweet-alert button,
.btn-primary {
    font-family: "GolosText-Medium";
    color: var(--btn-primary-text);
    background-color: var(--btn-primary);
    border: none;
    height: 32px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 20px;
    border-radius: var(--btn-border-radius);

    @media (min-width: 992px) {
        height: 40px;
        font-size: 16px;
        line-height: 24px;
    }
}

.sweet-alert button:hover,
.btn-primary:hover {
    background-color: var(--btn-primary-hovered);
}

.sweet-alert button {
    background-color: var(--btn-primary) !important;
    min-width: 80px;
    transition: all ease-in-out 0.15s !important;
}

.sweet-alert button:hover {
    background-color: var(--btn-primary-hovered) !important;
}

.btn-primary:active,
.btn-primary:active:hover,
.btn-primary:active:focus,
.btn-primary:focus,
.swal2-confirm.btn.btn-primary:focus,
.swal2-confirm.btn.btn-primary:hover {
    background-color: var(--btn-primary-pressed);
}

.btn-primary:disabled,
.btn-primary.disabled {
    background-color: var(--btn-primary-disabled);
    color: var(--btn-primary-color-disabled);
    pointer-events: none;
}

/* btn danger */
.btn-danger {
    font-family: "GolosText-Medium";
    /* color: var(--btn-danger-text); */
    /* background-color: var(--btn-danger); */
    border: none;
    height: 32px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 20px;
    border-radius: var(--btn-border-radius);

    @media (min-width: 992px) {
        height: 40px;
        font-size: 16px;
        line-height: 24px;
    }
}

.btn-danger:hover {
    /* background-color: var(--btn-danger-hovered); */
}

.btn-danger:active,
.btn-danger:active:hover,
.btn-danger:active:focus,
.btn-danger:focus,
.swal2-confirm.btn.btn-danger:focus,
.swal2-confirm.btn.btn-danger:hover {
    /* background-color: var(--btn-danger-pressed); */
}

/* btn default */

.btn-default {
}

.btn-info {
    font-family: "GolosText-Medium";
    color: var(--btn-info-text);
    background-color: var(--btn-info);
    border: 1px solid var(--btn-info-border);
    height: 32px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 20px;
    border-radius: var(--btn-border-radius);
    box-shadow: none !important;

    @media (min-width: 992px) {
        height: 40px;
        font-size: 16px;
        line-height: 24px;
    }
}

.btn-info:hover {
    background-color: var(--btn-info-hovered);
    border-color: var(--btn-info-hovered-border);
    color: var(--btn-info-text);
}

.btn-info:active,
.btn-info:active:hover,
.btn-info:active:focus,
.btn-info:focus {
    background-color: var(--btn-info-pressed);
    color: var(--btn-info-text);
}

.btn-info:active,
.btn-info:active:focus,
.btn-info:focus {
    border-color: var(--btn-info-pressed-border);
}

.btn-info:disabled,
.btn-info.disabled {
    background-color: var(--btn-info-disabled);
    color: var(--btn-info-color-disabled);
    pointer-events: none;
}

.btn.btn-lg {
    height: 42px;
    padding: 10px 12px;
    font-size: 14px;
    line-height: 20px;
    min-width: 140px;

    @media (min-width: 992px) {
        height: 42px;
        padding: 8px 12px;
    }
}

.btn.btn-mw-100 {
    min-width: 100%;
}

.btn.btn-w-200 {
    width: 200px;
}

/* .btn.btn-lg .fa {
    color: #ffd27b;
    margin: 0 12px 0 0;
    font-size: 26px;
} */

.swal2-confirm.btn.btn-primary {
    background-image: none !important;
}

.btn-mobile-block {
    @media (max-width: 992px) {
        display: block;
        width: 100%;
    }
}

.btn svg {
    display: inline-block;
    vertical-align: middle;
}

/* Form general */

.form-general input.form-control::placeholder,
.form-general textarea.form-control::placeholder {
    color: var(--form-control-color-placeholder);
    opacity: 1;
}

.form-general input[type="text"].form-control,
.form-general input[type="email"].form-control,
.form-general input[type="password"].form-control,
.form-general textarea.form-control,
.form-general select.form-control {
    border: 1px solid var(--form-control-border);
    border-radius: var(--form-control-radius);
    background-color: transparent;
    color: var(--form-control-color);
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    padding: 8px 16px;
    box-shadow: none !important;

    /* &:autofill,
    &:-webkit-autofill,
    &:-internal-autofill-selected {
        
    } */
}

.form-general input[type="text"].form-control,
.form-general input[type="email"].form-control,
.form-general input[type="password"].form-control,
.form-general select.form-control,
.form-general .bootstrap-select.form-control {
    height: 42px;
}

.form-general select.form-control {
    appearance: base-select;

    &::picker-icon {
        position: absolute;
        top: 10px;
        right: 16px;
        color: var(--form-control-color-placeholder);
    }
}

.form-general select.form-control option {
    color: var(--black);
}

.form-general input[type="text"].form-control:focus,
.form-general input[type="email"].form-control:focus,
.form-general input[type="password"].form-control:focus {
    border-color: var(--form-control-border-focus);
}

.form-general .input-group input[type="text"].form-control {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.form-general .input-group .input-group-addon {
    border: 1px solid var(--form-control-border);
    border-left: 0;
    border-radius: 0 var(--form-control-radius) var(--form-control-radius) 0;
    background-color: transparent;
    color: var(--form-control-color);
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    padding: 8px 16px;
    box-shadow: none !important;
}

.form-general .form-checkbox {
    position: relative;
    padding: 0 0 0 30px;
    cursor: pointer;
}

.form-general .form-checkbox .form-checkbox-input {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
}

.form-general .form-checkbox .form-checkbox-label {
    padding: 0;
    margin: 0;
    font-family: "GolosText-Regular";
    font-weight: normal;
    font-size: 12px;
    line-height: 20px;
    color: var(--form-checkbox-label);
}

.form-general .form-checkbox .form-checkbox-label a {
    color: var(--form-checkbox-label);
    text-decoration: none;
}

.form-general .form-checkbox .form-checkbox-label a:hover {
    color: var(--form-checkbox-label);
    text-decoration: underline;
}

.form-general .form-checkbox .form-checkbox-label::before {
    content: "";
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    background-color: var(--form-checkbox-bg);
    position: absolute;
    top: 0;
    left: 0;
    color: var(--white);
    border-radius: 4px;
    border: 1px solid var(--form-control-border);
}

.form-general
    .form-checkbox
    input[type="checkbox"]:checked
    + .form-checkbox-label::before {
    content: "✓";
    background-color: var(--form-checkbox-bg-checked);
    border-color: var(--form-control-border);
}

.form-general .form-checkbox:hover .form-checkbox-label::before {
    border-color: var(--form-control-border-focus);
}

.form-general .alert {
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    margin: 16px 0;
    padding: 11px 8px;
    text-align: center;
}

.form-general .alert svg {
    position: relative;
    margin: 0 6px 0 0;
    top: 2px;
}

.form-general .alert-success {
    border-color: var(--alert-success-border);
    background-color: var(--alert-success-bg);
    color: var(--alert-success-color);
    border-radius: var(--form-control-radius);
}

.form-general .bootstrap-select.form-control {
    display: block;
    max-width: none;
    background-color: transparent;
}

.form-general .bootstrap-select.form-control .btn.dropdown-toggle {
    border: 1px solid var(--form-control-border);
    border-radius: var(--form-control-radius);
    background-color: transparent;
    color: var(--form-control-color);
    font-family: "GolosText-Regular";
    font-size: 14px;
    line-height: 22px;
    padding: 8px 16px;
    box-shadow: none !important;
    min-height: 42px;
}

.form-general .bootstrap-select.form-control .bs-searchbox input.form-control {
    color: #000 !important;
    padding-left: 28px;
}

.form-general .bootstrap-select.form-control .bs-searchbox::after {
    margin: -6px 0 0 0;
    padding: 0;
    position: absolute;
    top: 50%;
    left: 24px;
}

.form-general
    .bootstrap-select.form-control
    .btn.dropdown-toggle
    .filter-option
    img {
    position: relative;
    top: -2px;
    margin: 0 6px 0 0;
}

.form-general .form-input-addon {
    position: relative;
}

.form-general .form-input-addon-ico {
    width: 24px;
    height: 24px;
    display: flex;
    position: absolute;
    top: 50%;
    right: 20px;
    cursor: pointer;
    margin: -12px 0 0 0;
    color: var(--form-control-color-placeholder);
}

.form-general .bdatepicker-basic.form-control + .form-input-addon-ico {
    right: 10px;
}

/* File upload */
.form-general .lks-file-upload {
    display: flex;
    width: 100%;
    margin: 16px 0 !important;
    padding: 16px !important;
    background-color: var(--file-upload-bg);
    border: 1px dashed var(--file-upload-border);
    border-radius: var(--border-radius-small);
    cursor: pointer;
    flex-wrap: nowrap;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
    position: relative;
}

.form-general .lks-file-upload-label + .lks-file-upload {
    margin-top: 8px !important;
}

.form-general .lks-file-upload input[type="file"] {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    cursor: pointer;
    opacity: 0;
}

.form-general .lks-file-upload-label {
    display: block;
    color: var(--form-title);
    font-family: "GolosText-Regular";
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    margin: 16px 0 0 0;
    padding: 0;
}

.form-general .lks-file-upload-title {
    white-space: nowrap;
    color: var(--file-upload-title);
    font-family: "GolosText-Medium";
    font-size: 14px;
    line-height: 22px;
    font-weight: 500;
    margin: 3px 0;
    text-overflow: ellipsis;
    overflow: hidden;
    max-width: 100%;

    /* @media (min-width: 992px) { */
    @media (min-width: 770px) {
        font-size: 16px;
        line-height: 24px;
    }
}

.form-general .lks-file-upload-title svg {
    color: var(--file-upload-ico);
    margin: 0 4px 0 0;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    top: -2px;
    width: 20px;
    height: 20px;

    /* @media (min-width: 992px) { */
    @media (min-width: 770px) {
        width: 24px;
        height: 24px;
    }
}

.form-general .lks-file-upload-title span {
    color: var(--file-upload-title);
}

.form-general .lks-file-upload-allow {
    color: var(--file-upload-allow);
    font-family: "GolosText-Regular";
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    margin: 3px 0;

    /* @media (min-width: 992px) { */
    @media (min-width: 770px) {
        font-size: 14px;
        line-height: 22px;
    }
}

/* Pass icon: show/hide */
.form-general .js-btn-toggle-password-show {
    pointer-events: none;
    color: var(--form-control-color-placeholder);
}

.form-general .js-btn-toggle-password-hide {
    pointer-events: none;
    color: var(--form-control-color);
}

.form-general
    .form-input-addon
    input[type="text"]
    + .js-btn-toggle-password
    .js-btn-toggle-password-show,
.form-general
    .form-input-addon
    input[type="password"]
    + .js-btn-toggle-password
    .js-btn-toggle-password-hide {
    display: none;
}

.form-general
    .form-input-addon
    input[type="text"]
    + .js-btn-toggle-password
    .js-btn-toggle-password-hide,
.form-general
    .form-input-addon
    input[type="password"]
    + .js-btn-toggle-password
    .js-btn-toggle-password-show {
    display: block;
}

.form-general .form-input-addon-ico-date {
    pointer-events: none;
}

/* DOB icon */
.form-general
    input.bdatepicker-dob:placeholder-shown
    + .form-input-addon-ico-date {
    color: var(--form-control-color-placeholder);
}

.form-general
    input.bdatepicker-dob:not(:placeholder-shown)
    + .form-input-addon-ico-date {
    color: var(--form-control-color);
}

/* Nav btn back */
.lks-nav-btn-rounded {
    display: flex;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: var(--app-header-menu-btn-bg);
    border: 1px solid var(--app-header-menu-btn-border);
    color: var(--header-menu-btn);
    justify-content: center;
    align-items: center;
    box-shadow: var(--app-header-menu-btn-shadow);
    text-decoration: none;

    &:hover {
        background-color: var(--app-header-menu-btn-bg);
        border: 1px solid var(--app-header-menu-btn-border);
        color: var(--header-menu-btn);
        box-shadow: var(--app-header-menu-btn-shadow);
    }
}

/* Simole scrollbar  */
.simplebar-scrollbar::before {
    /* background-image: linear-gradient(
        -131deg,
        var(--color-primary) 0%,
        var(--color-secondary) 100%
    ) !important; */
    background-image: var(--simple-scroll-bar) !important;
}
